Skip to content

List Deals

Request

List the Deals

Query
idsstring

_

exportstring

_

deal_typestring

Returns a list of deals that match the specified query

qstring

Returns a list of deals that match the specified query

sort_byboolean

Returns a list of deals sorted by the specified parameter

page_offsetstring

Returns a list of deals starting from the specified page offset

page_limitinteger

Returns a number of deals equal to the specified page limit

currency_codestring

Returns a list of deals with price attributes converted to such currency

statusboolean

Returns a list of deals that match the specified status

owner.typestring

Returns a list of deals that match the specified owner type

Enum:"INTERNAL""ORGANIZATION""AGENCY""ADVERTISER"
strategy_idinteger

Returns a list of deals that are currently targeted by the strategy with that id

owner.advertiser_idinteger

Returns a list of deals that are editable by users of the advertiser with that id

owner.agency_idinteger

Returns a list of deals that are editable by users of the agency with that id

owner.organization_idintegerrequired

Returns a list of deals that are editable by users of the organization with that id

permissions.advertiser_idinteger

Returns a list of deals that are targetable by the advertiser with that id

Headers
Authorizationstringrequired

_

curl -i -X GET \
  'https://api.mediamath.com/deals/v1.0/deals?ids=string&export=string&deal_type=string&q=string&sort_by=true&page_offset=string&page_limit=0&currency_code=string&status=true&owner.type=INTERNAL&strategy_id=0&owner.advertiser_id=0&owner.agency_id=0&owner.organization_id=0&permissions.advertiser_id=0' \
  -H 'Authorization: string'

Responses

Please note that currently bill_type does not disclose here. GET /deals/{deal ID) will however disclose that parameter, and the creation or updating of the deal will both allow bill_type to be set and display it in the response.

Bodyapplication/json
dataArray of objects
metaobject
Response
{ "data": [ { … } ], "meta": { "count": 0, "offset": 0, "status": "string", "total_count": 0 } }